<?php

namespace Modules\Store\Interfaces;

use Illuminate\Http\Request;
use Modules\Store\Models\EditStore;
use Modules\Store\Models\Store;

interface EditStoreRepositoryInterface
{
    public function get(Request $request);
    public function getItem(EditStore $editStore);
    public function save(array $request, ?EditStore $editStore): EditStore;
    public function destroy(Request $request, int $id): array;
    public function destroyAll(Request $request): array;
    public function restore(Request $request, int $id): array;
    public function restoreAll(Request $request): array;
}
